call_rcu
Prev | Kernel utility functions | Next

## Name

call_rcu — Queue an RCU callback for invocation after a grace period.

## Synopsis

`void fastcall call_rcu (` | struct rcu_head * | head,
| void (* | func`(`struct rcu_head *rcu`)``)`;

## Arguments

`head`

  structure to be used for queueing the RCU updates.

`func`

  actual update function to be invoked after the grace period

## Description

The update function will be invoked some time after a full grace period elapses, in other words after all currently executing RCU read-side critical sections have completed. RCU read-side critical sections are delimited by `rcu_read_lock` and `rcu_read_unlock`, and may be nested.

Prev | Up | Next
orderly_poweroff | Home | call_rcu_bh